Show / Hide Table of Contents

# Delegate FlyTextGui.OnFlyTextCreatedDelegate

The delegate defining the type for the FlyText event.

###### Namespace: Dalamud.Game.Gui.FlyText

###### Assembly: Dalamud.dll

##### Syntax

    public delegate void OnFlyTextCreatedDelegate(ref FlyTextKind kind, ref int val1, ref int val2, ref SeString text1, ref SeString text2, ref uint color, ref uint icon, ref float yOffset, ref bool handled);

##### Parameters

Type | Name | Description
--- | --- | ---
FlyTextKind | kind | The FlyTextKind. See FlyTextKind.
System.Int32 | val1 | Value1 passed to the native flytext function.
System.Int32 | val2 | Value2 passed to the native flytext function. Seems unused.
SeString | text1 | Text1 passed to the native flytext function.
SeString | text2 | Text2 passed to the native flytext function.
System.UInt32 | color | Color passed to the native flytext function. Changes flytext color.
System.UInt32 | icon | Icon ID passed to the native flytext function. Only displays with select FlyTextKind.
System.Single | yOffset | The vertical offset to place the flytext at. 0 is default. Negative values result in text appearing higher on the screen. This does not change where the element begins to fade.
System.Boolean | handled | Whether this flytext has been handled. If a subscriber sets this to true, the FlyText will not appear.